Subject: Re: [PATCH 2/3] Convert hash functions to char instead of struct object

From: Johannes Sixt <[email-masked]>
Date: Tue, 19 May 2009 08:23:54 +0200

Dan McGee schrieb:
> -static unsigned int hash_obj(struct object *obj, unsigned int n)
> +static unsigned int hash_chars(const unsigned char *c, unsigned int n)

hash_chars suggests that this function hashes arbitrary character
sequences, but it doesn't do that. Wouldn't hash_object_id be a better
name? (And the parameter would then obviously be named sha1 or id.)

-- Hannes